Test My Browser

Click the button below to see if you will be able to access PEAK beginning August 5, 2017:
Test My Web Browser
If your web browser passes the test, no further action is required. That's it!

If it your web browser does NOT pass the test, you will need to update your web browser. It is also possible that you will need to upgrade your operating system. If you need technical assistance, please call 1-800-250-7741 (Monday-Friday from 7:30 a.m. to 5:15 p.m.).

Note: If you take the web browser test, you will notice that it mentions something called “TLS.” This stands for Transport Layer Security, which is a widely used security protocol. As part of this important security upgrade, TLS 1.0 will be disabled to ensure your continued privacy when using PEAK.



Please refer to the table below for more details.

Web Browser

Operating System

Google Chrome – versions 38 or higher

 

(We recommend that you use Google Chrome for the best PEAK experience.)

Automatically compatible - you do not need to update your operating system

Google Chrome - versions 22 to 37

Windows XP SP3, Vista, or newer for desktop; OS X 10.6 or newer for Mac desktop; Android 2.3 or newer for mobile

Microsoft Internet Explorer (IE) – version 11

Automatically compatible - you do not need to update your operating system

Microsoft Internet Explorer (IE) - versions 8, 9, and 10

Must run Windows 7 or newer, but might require manual configuration

 

Call the PEAK Technical Support Call Center if you need assistance: 1-800-250-7741 (Monday-Friday from 7:30 a.m. to 5:15 p.m.)

Microsoft Edge

Automatically compatible - you do not need to update your operating system

Mozilla Firefox – versions 27 or higher

Automatically compatible - you do not need to update your operating system

Mozilla Firefox - versions 23 to 26

Compatible, but might require manual configuration

 

Call the PEAK Technical Support Call Center if you need assistance: 1-800-250-7741 (Monday-Friday from 7:30 a.m. to 5:15 p.m.)

Safari – versions 7 and higher for desktop

OS X 10.9 or higher

Safari – versions 5 and higher for mobile devices

iOS 5 and higher

Android 5.0 and higher for mobile devices

Automatically compatible - you do not need to update your operating system

Android 4.4 to 4.4.4 for mobile devices

May be compatible, but some devices with Android 4.4.x might not work


I Can't Update My Browser

Have an older operating system that won't allow you to install a newer browser? Please call the PEAK Technical Support Call Center to confirm and discuss possible alternatives.

Phone: 1-800-250-7741 (Monday-Friday from 7:30 a.m. to 5:15 p.m.)